Subject: [Ltru] Ticket #34, AD Issue #1: who scrutinizes primary subtags rejected by ISO 639/RA-JAC

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 28 Apr 2009 21:07:06 -0700

The AD points out:

---
     At the time this document was created, there were no examples of
    this kind of subtag and future registrations of this type are
    discouraged: primary languages are strongly RECOMMENDED for
    registration with ISO 639, and proposals rejected by ISO 639/
    RA-JAC will be closely scrutinized before they are registered
    with IANA.

[Unclear text] Scrutinized by whom? At this point in the document it is
not clear who is going to perform the action.
I think you meant that this would be done by the designated registry
reviewer, so I suggest adding a forward reference here.
---

This is text from RFC 4646 that is unchanged. The notion here is that the community/ietf-languages list and the Language Subtag Reviewer are unlikely to accept something that ISO 639 has already rejected.

Note that this text is mirrored later in the document, in Section 3.6:

--
Primary language subtags for languages not listed in ISO 639 that are not variants of any listed or registered language MAY be registered. At the time this document was created, there were no examples of this form of subtag. Before attempting to register a language subtag, there MUST be an attempt to register the language with ISO 639. Subtags MUST NOT be registered for languages defined by codes that exist in ISO 639-1, ISO 639-2, or ISO 639-3, or that are under consideration by the ISO 639 registration authorities, or that have never been attempted for registration with those authorities. If ISO 639 has previously rejected a language for registration, it is reasonable to assume that there must be additional, very compelling evidence of need before it will be registered as a primary language subtag in the IANA registry (to the extent that it is very unlikely that any subtags will be registered of this type).
--

Proposed resolution: change the text to read:

--
At the time this document was created, there were no examples of this kind of subtag and future registrations of this type are discouraged: primary languages are strongly RECOMMENDED for registration with ISO 639, and if previously rejected by ISO 639, it is reasonable to assume that there needs to be additional, very compelling, evidence of need before it will be registered as a primary language subtag in the IANA registry (to the extent that it is very unlikely that any subtags will be registered of this type).
--

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 30 Apr 2009 13:03:24 -0700

Hi -

> From: "Phillips, Addison" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Tuesday, April 28, 2009 9:07 PM
> Subject: [Ltru] Ticket #34, AD Issue #1: who scrutinizes primary subtags rejected by ISO 639/RA-JAC
...

As a technical contributor...

I'd like to point out that I posted a much simpler solution, more directly addressing
the AD comment, was posted on April 12th. Specifically:

| Proposed text:
| replace "scrutinized" with "scrutinized by the Language Subtag Reviewer
| (see 3.2)"

At this stage of the process, I think minimal textual changes are to be preferred.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 30 Apr 2009 13:09:05 -0700

(as editor)

Sounds good. Made this change in place of my proposed resolution.

Addison

Addison Phillips

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: Thursday, April 30, 2009 1:03 PM
> To: LTRU Working Group
> Subject: Re: [Ltru] Ticket #34, AD Issue #1: who scrutinizes
> primary subtags rejected by ISO 639/RA-JAC
> 
> Hi -
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 30 Apr 2009 13:15:27 -0700

Hi -

As co-chair...

> To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Thursday, April 30, 2009 1:09 PM
> Subject: RE: [Ltru] Ticket #34, AD Issue #1: who scrutinizes primary subtags rejected by ISO 639/RA-JAC
>
> (as editor)
> 
...

Ok, since that text has been out for a long time, 
I've closed this ticket
http://trac.tools.ietf.org/wg/ltru/trac/ticket/34

Randy